Spectre and Meltdown

As has been well publicized recently, the Spectre and Meltdown vulnerabilities exist in multiple modern CPU architectures and can permit an attacker to read the contents of memory. Based on how SafeConnect is deployed and accessed, it is not vulnerable to these attacks.

Full details of the “Meltdown” and “Spectre” vulnerabilities can be found at the following URLs:

After hardware and operating system patches are fully vetted, we will begin to roll them out, meanwhile, please know that ensuring the security of your data and our software is of utmost criticality to Impulse and we are treating this issue with the highest degree of priority across our company. For the latest on these vulnerabilities and other support issues, please check the announcements at: support.impulse.com.

Comments are closed.